> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List app templates

> Retrieve all application templates with admin visibility across all clients.
Includes system templates and user-created templates from any client.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/template
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/template:
    get:
      tags:
        - Templates
      summary: List app templates
      description: >-
        Retrieve all application templates with admin visibility across all
        clients.

        Includes system templates and user-created templates from any client.
      operationId: listTemplatesAdmin
      parameters:
        - description: >-
            Filter templates by client ID. Shows templates owned by the
            specified client.
          in: query
          name: client_id
          schema:
            type: integer
            format: int64
        - description: ID of the template
          in: query
          name: template_id
          required: false
          schema:
            type: integer
            format: int64
        - description: |-
            API type:  
            wasi-http - WASI with HTTP entry point  
            proxy-wasm - Proxy-Wasm app, callable from CDN
          example: wasi-http
          in: query
          name: api_type
          required: false
          schema:
            enum:
              - wasi-http
              - proxy-wasm
            type: string
        - description: Filter by template name (case-insensitive partial match)
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: >-
            Filter templates by group ID. Shows templates shared with the
            specified group.
          in: query
          name: group__incl
          schema:
            type: integer
            format: int64
        - description: >-
            Filter templates by group ID. Shows templates not shared with the
            specified group.
          in: query
          name: group__excl
          schema:
            type: integer
            format: int64
        - description: Maximum number of results to return (default 50)
          example: 50
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip for pagination
          example: 0
          in: query
          name: offset
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  count:
                    description: Total number of apps
                    type: integer
                  templates:
                    items:
                      $ref: '#/components/schemas/template_short_admin'
                    type: array
                required:
                  - templates
                type: object
          description: Returns paginated list of templates with admin visibility
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    template_short_admin:
      type: object
      allOf:
        - $ref: '#/components/schemas/template_short'
        - type: object
          required:
            - client_id
            - reseller_id
            - groups
          properties:
            client_id:
              type: integer
              format: int64
              description: Client ID
            reseller_id:
              type: integer
              format: int64
              description: Reseller ID
              nullable: true
            groups:
              type: array
              description: Groups the template is shared to
              items:
                type: integer
                format: int64
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    template_short:
      type: object
      required:
        - id
        - name
        - api_type
        - owned
      properties:
        id:
          type: integer
          format: int64
          description: Template ID
        name:
          type: string
          description: Name of the template
        short_descr:
          type: string
          description: Short description of the template
        long_descr:
          type: string
          description: Long description of the template
        api_type:
          type: string
          description: Wasm API type
        owned:
          type: boolean
          description: Is the template owned by user?
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````